# remove duplicates
%global __provides_exclude ^perl\\(Data::Grove\\)$
%global __requires_exclude ^perl\\(XML::Parser\\)$

Summary:        A collection of Perl modules for XML
Name:           perl-libxml-perl
Version:        0.08
Release:        5%{?dist}
License:        (GPL+ or Artistic) and Public Domain
URL:            https://metacpan.org/dist/libxml-perl
Source0:        https://cpan.metacpan.org/authors/id/K/KM/KMACLEOD/libxml-perl-%{version}.tar.gz

BuildRequires:  make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(:VERSION) >= 5.5.0 perl(Carp) perl(IO::File)
BuildRequires:  perl(strict) perl(UNIVERSAL) perl(vars)
BuildRequires:  perl(XML::Parser)
# Tests:
Requires:       perl(XML::Parser)

BuildArch:      noarch

%description
libxml-perl is a collection of smaller Perl modules, scripts, and
documents for working with XML in Perl.  libxml-perl software works 
in combination with XML::Parser, PerlSAX, XML::DOM,XML::Grove and 
others.


%prep
%autosetup -n libxml-perl-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%doc README ChangeLog Changes 
%{perl_vendorlib}/Data/
%{perl_vendorlib}/XML/
%{_mandir}/man3/*.3pm.gz


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.08-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.08-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.08-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.08-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 26 2022 doriscchao <doriscchao@tencent.com> - 0.08-1
- initial build, Version 0.08, Release 1